FACTOR(6)

NAME
factor, primes - factor a number, generate primes

SYNOPSIS
factor -[h] [ number ] ...

primes -[h] [ start [ stop ]]

DESCRIPTION
The factor utility will factor integers between 0 and ULONG_MAX (4294967295 on 32 bit architectures, 18446744073709551615 on 64 bit ones), inclusive. When a number is factored, it is printed, followed by a ``:'', and the list of factors on a single line. Factors are listed in ascending order, and are preceded by a space. If a factor divides a value more than once, it will be printed more than once.

When factor is invoked with one or more arguments, each argument will be factored.

When factor is invoked with no arguments, factor reads numbers, one per line, from standard input, until end of file or error. Leading white-space and empty lines are ignored. Numbers may be preceded by a single - or +. Numbers are terminated by a non-digit character (such as a newline). After a number is read, it is factored. Input lines must not be longer than 255 characters.

The primes utility prints primes in ascending order, one per line, starting at or above start and continuing until, but not including stop. The start value must be at least 0 and not greater than stop. The stop value must not be greater than 4294967295. The default value of stop is 4294967295.

When the primes utility is invoked with no arguments, start is read from standard input. Stop is taken to be 4294967295. The start value may be preceded by a single +. The start value is terminated by a non-digit character (such as a newline). The input line must not be longer than 255 characters.

OPTIONS

-h  Print the results in hexadecimal rather than decimal.

DIAGNOSTICS
Out of range or invalid input results in `ouch' being written to standard error.

BUGS
Factor cannot handle the ``10 most wanted'' factor list, primes won't get you a world record.